SNMPD(8)

NAME
snmpd - Simple Network Management Protocol daemon

SYNOPSIS
snmpd [-dNnv] [-D macro=value] [-f file]

DESCRIPTION
snmpd is a daemon which implements the SNMP protocol.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize and log to stderr.

-f file
    Use file as the configuration file, instead of the default /etc/snmpd.conf.

-N  Show numeric OID values instead of their symbolic names.

-n  Configtest mode. Only check the configuration file for validity.

-v  Produce more verbose output.

FILES
/etc/snmpd.conf
    default snmpd configuration file
/usr/share/snmp/mibs/*
    snmpd Management Information Base definitions

SEE ALSO
snmp(1), snmpd.conf(5)

STANDARDS
U. Blumenthal, B. Wijnen, December 2002, RFC 3414, User-based Security Model (USM) for version 3 of the Simple Network Management Protocol (SNMPv3).

R. Presuhn, December 2002, RFC 3416, Version 2 of the Protocol Operations for the Simple Network Management Protocol (SNMP).

R. Presuhn, December 2002, RFC 3417, Transport Mappings for the Simple Network Management Protocol (SNMP).

R. Presuhn, December 2002, RFC 3418, Management Information Base (MIB) for the Simple Network Management Protocol (SNMP).

U. Blumenthal, June 2004, RFC 3826, The Advanced Encryption Standard (AES) Cipher Algorithm in the SNMP User-based Security Model.

HISTORY
The snmpd program first appeared in OpenBSD 4.3.

AUTHORS
The snmpd program was written by Reyk Floeter <reyk@openbsd.org>.